# spec file for package teg
# based on the original file for Suse by David Haller

%define  ver     0.11.0
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define  prefix  /usr
%define  sysdocs /usr/doc/packages

Name:      		teg
Summary:   		Clone of a Risk clone
Version:		%ver
Release:		%rel
Distribution:		RedHat
Copyright: 	  	GPL
Group: 			Amusements/Games
URL:			http://teg.sourceforge.net/
Requires:		glibc gnome-libs esound gtk+ imlib glib
Provides:		teg
#Autoreqprov:		On

BuildRequires: gnome-libs-devel
BuildRequires: libgnome-devel >= 2.0.0
BuildRequires: libgnomeui-devel >= 2.0.0
BuildRequires: GConf2-devel >= 1.1.5
Docdir:    %{sysdocs}
BuildRoot: %{_tmppath}/teg-%{PACKAGE_VERSION}-root

Source: http://prdownloads.sourceforge.net/teg/teg-%{PACKAGE_VERSION}.tar.bz2

%description
Tenes Emapandas Graciela (TEG) is a clone of 'Plan Tctico y Estratgico
de la Guerra' (Tactical and Strategic plan of the War), which is a
pseudo-clone of Risk, a turn-based strategy game. Some rules are different.

Authors:
--------
	Ricardo Quesada (riq@corest.com)

%prep
%setup
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --with-included-gettext
%configure \
	--enable-gconf-source=xml::%{_sysconfdir}/gconf/gconf.xml.defaults \
	--with-included-gettext

%build
make

%install
rm -rf $RPM_BUILD_ROOT
#make prefix=$RPM_BUILD_ROOT%{prefix} install
%makeinstall
#strip $RPM_BUILD_ROOT%{prefix}/bin/*
#rm $RPM_BUILD_ROOT%{prefix}/share/locale/locale.alias

# remove unpackaged files from rpm build root
pushd $RPM_BUILD_ROOT
rm -f ./usr/etc/gconf/gconf.xml.defaults
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%config %{_sysconfdir}/gconf/schemas/teg.schemas
%{_bindir}/tegclient
%{_bindir}/tegserver
%{_bindir}/tegrobot
%{_datadir}/locale/*/LC_MESSAGES/teg.mo
%{_datadir}/pixmaps/*.*
%{_datadir}/pixmaps/teg_pix
%{_datadir}/gnome/apps/Games/teg.desktop
%{_datadir}/gnome/help/teg

%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO README.GGZ PEOPLE HACKING

%changelog
* Thu Jan 30 2003 Peter Hanecak <hanecak@megaloman.sk> 0.11.0-1
- .bz2 source archiv
- %%{_tmppath} used
- adapted to Doors Linux

* Wed Aug 28 2002 Ganesh Sittampalam <ganesh-rpms@earth.li>
- Updated to 0.10.1
- Added BuildRequires: gnome-libs-devel
- Removed /usr/share/locale/locale.alias from final package
